Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.iter
Class RangeIter

    java.lang.Object
      org.basex.query.xquery.iter.Iter
          org.basex.query.xquery.iter.RangeIter

    public final class RangeIter

extends Iter

Range Iterator.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.xquery.iter.Iter
`EMPTY`

Constructor Summary
`RangeIter(long mn, long mx)` Constructor.

Method Summary
`Item` | `next()` Returns the next item or null if no other items are found.
`void` | `reverse()` Reverses the iterator.
`long` | `size()` Returns the number of entries.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.iter.Iter
`atomic, ebv, finish, reset, seqErr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeIter

    public RangeIter(long mn,
                     long mx)

  Constructor.

  Parameters:
    `mn` - minimum value
    `mx` - minimum value

Method Detail

### next

    public Item next()

  Description copied from class: `Iter`
  Returns the next item or null if no other items are found.

  Specified by:
    `next` in class `Iter`
  Returns:
    resulting item

### size

    public long size()

  Description copied from class: `Iter`
  Returns the number of entries. Warning: -1 is returned if the number cannot be evaluated, so each method has to check and react on the returned value.

  Overrides:
    `size` in class `Iter`
  Returns:
    number of entries

### reverse

    public void reverse()

  Reverses the iterator.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD